
Foreman - Bug #23427

[1.17.0] VMWare: creating new compute profile is unusable 

04/27/2018 02:42 PM - Stephan Schultchen

Status: Need more information   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.17.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when creating a new vmware compute profile, the yaml blob stored in the compute_attributes table in the vm_attrs field, is not

functional.

please see the attached "vmware_compute_profile_txt" file for examples of the stored yaml blob:

there a 3 examples marked with:

#PRE 1.17.0 profile

#POST 1.17.0 profile

#POST 1.17.0 profile FIXED

the problem is with the "key" attribute from the volumes_attributes. if you remove this attribute, hosts can be created again with this

compute profile

Related issues:

Related to Foreman - Bug #23378: Unable to create a VM on 1.17.0 on vCenter 6.5. Closed 04/24/2018

History

#1 - 05/03/2018 10:58 AM - Stephan Schultchen

- Priority changed from Normal to High

#2 - 06/26/2018 01:21 PM - Timo Goebel

- Related to Bug #23378: Unable to create a VM on 1.17.0 on vCenter 6.5. added

#3 - 06/29/2018 05:46 PM - Chris Roberts

- Status changed from New to Need more information

- Priority changed from High to Normal

- Triaged set to Yes

Hi,

Have you updated or applied the fix from:

https://projects.theforeman.org/issues/23378

Let us know how that works, that should resolve the issue. Marking this as Normal priority until I hear back.

Files

vmware_compute_profile_txt 2.7 KB 04/27/2018 Stephan Schultchen
